var isEnded = 1;
var tlRoll = new TimelineMax({paused:true});



function init(){ 
var tl = new TimelineMax();
TweenMax.set(["#check1", "#check2", "#check3"], {scale:.8});
TweenMax.set(["#usp1", "#usp2", "#usp3"], {autoAlpha:0});
TweenMax.set(["#check1 .checkLeft", "#check1 .checkRight"], {scaleX:0});
TweenMax.set(["#check2 .checkLeft", "#check2 .checkRight"], {scaleX:0});
TweenMax.set(["#check3 .checkLeft", "#check3 .checkRight"], {scaleX:0});
TweenMax.set(["#btn"], {y:-3});
TweenMax.set(["#cardRollover"], {autoAlpha:0});

TweenMax.set(".checkLeft", {transformOrigin:'0% 50%', rotation:50});
TweenMax.set(".checkRight", {transformOrigin:'0% 50%', rotation:-50});

tl.to("#overlay",.5,{autoAlpha:0, ease:Power3.easeOut},0)
tl.from("#text1",1,{x:-10, autoAlpha:0, ease:Power3.easeOut},0)
tl.fromTo("#bgBlue",1,{height:90, ease:Power3.easeInOut}, {height:220, ease:Power3.easeInOut},1.5)
tl.from("#text2",1,{y:-10, autoAlpha:0, ease:Power3.easeOut},2)
tl.from("#card",1,{y:10, autoAlpha:0, ease:Power3.easeOut},2)
tl.from("#gratis",1,{x:-10, autoAlpha:0, ease:Power3.easeOut},2)
tl.from("#btn",1,{autoAlpha:0, ease:Power1.easeIn, onComplete:ended},2)

tl.to("#cardSmall",1,{autoAlpha:0, ease:Power3.easeIn},7.5)

function ended(){

 isEnded = 1;

}
}

function buttonRollover(){

	if (isEnded === 1){
		TweenMax.to("#cardRollover",1,{autoAlpha:1, ease:Power3.easeInOut})
		TweenMax.to("#checks",.5,{autoAlpha:1, ease:Power1.easeIn})
		TweenMax.to("#content",.2,{autoAlpha:0, ease:Power1.easeIn})
		// TweenMax.to("#bgBlue",1,{width:210, ease:Power3.easeOut})
tlRoll.fromTo(["#usp1"], 1,{x: -10, autoAlpha: 0}, {x: 0, autoAlpha: 1, ease:Power3.easeOut}, 0);
tlRoll.fromTo(["#usp2"], 1,{x: -10, autoAlpha: 0}, {x: 0, autoAlpha: 1, ease:Power3.easeOut}, 1);
tlRoll.fromTo(["#usp3"], 1,{x: -10, autoAlpha: 0}, {x: 0, autoAlpha: 1, ease:Power3.easeOut}, 2);

tlRoll.fromTo("#check1 .checkLeft",.2,{scaleX: 0},{scaleX: 1, ease:Power1.easeIn}, 0.25);
tlRoll.fromTo("#check1 .checkRight",.3,{scaleX: 0},{scaleX: 1, ease:Power1.easeOut}, 0.5);

	
tlRoll.fromTo("#check2 .checkLeft",.2,{scaleX: 0},{scaleX: 1, ease:Power1.easeIn}, 1.25);
tlRoll.fromTo("#check2 .checkRight",.3,{scaleX: 0},{scaleX: 1, ease:Power1.easeOut}, 1.5);

tlRoll.fromTo("#check3 .checkLeft",.2,{scaleX: 0},{scaleX: 1, ease:Power1.easeIn}, 2.25);
tlRoll.fromTo("#check3 .checkRight",.3,{scaleX: 0},{scaleX: 1, ease:Power1.easeOut}, 2.5);
tlRoll.play(0);


	}

}

function buttonRollout(){

	if (isEnded === 1){
			TweenMax.to("#cardRollover",.5,{autoAlpha:0, ease:Power3.easeOut})
		// TweenMax.to("#bgBlue",.5,{width:184, ease:Power1.easeInOut})
TweenMax.to("#checks",.5,{autoAlpha:0, ease:Power1.easeOut})
TweenMax.to("#content",.5,{autoAlpha:1, ease:Power1.easeIn})
TweenMax.fromTo("#card",1,{y:10, autoAlpha:0}, {autoAlpha:1, y:0, ease:Power3.easeOut})
TweenMax.fromTo("#gratis",1,{x:-10, autoAlpha:0}, {autoAlpha:1, x:0, ease:Power3.easeOut})

	}
}

function getRandom(min, max) {
  return Math.floor(Math.random() * (max - min) + min);
}

	